<?php

######################################################################
# Fanzinweb 1.0 : Un pequeño sistema de publicación de artículos 
# ==============================================================
#
# Copyright (c) 2001 - Manuel J. Román Estrade (manje@tpn3.com)
#
# Este programa es software libre. Puede redistribuirlo y/o
# modificarlo bajo los términos de la Licencia Pública General
# de GNU.
#
# Este programa se distribuye con la esperanza de que sea útil, pero
# SIN NINGUNA GARANTÍA, incluso sin la garantía MERCANTIL implícita
# o sin garantizar la CONVENIENCIA PARA UN PROPÓSITO PARTICULAR. Véase
# la Licencia Pública General de GNU para más detalles.
# 
# Debería haber recibido una copia de la Licencia Pública General junto
# con este programa.
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License.
######################################################################


  require("config.php");
  include("vista/tema.php");
  conectar();
  $con="SELECT nombre  ".
            " FROM temas WHERE id = $id ";
  $tmp=mysql_query($con);
  $tem = mysql_fetch_array($tmp);
  $tema=$tem["nombre"];
  comienzo($tema);
  
  if ($primero) {
    # viendo noticias antiguas
    $con="SELECT id,titulo,autor,fecha,breve  ".
         " FROM articulos WHERE tema = $id ORDER BY id DESC limit $primero,$art_mas";
    $tmp=mysql_query($con);
    while ($art = mysql_fetch_array($tmp)){
      $con="SELECT nombre,email  ".
           " FROM autores WHERE id =\"".$art["autor"]."\" ";
      $tmpb=mysql_query($con);
      $aut = mysql_fetch_array($tmpb);
      $urlaut = "email:".$aut["email"];
      verartpeque($art["id"],$art["titulo"],$aut["nombre"],$urlaut,$art["fecha"]);
    }
  } else {
    $con="SELECT id,titulo,autor,fecha,breve  ".
         " FROM articulos WHERE tema = $id ORDER BY id DESC limit 0,$art_pri ";
    $tmp=mysql_query($con);
    while ($art = mysql_fetch_array($tmp)){
      $con = "SELECT nombre,email  " .
           " FROM autores WHERE id =\"".$art["autor"]."\" ";
      $tmpb=mysql_query($con);
      $aut = mysql_fetch_array($tmpb);
      $urlaut = "email:".$aut["email"];
      verart($art["id"],$art["titulo"],$aut["nombre"],$urlaut,$art["fecha"],$art["breve"]);
    }
    intermedio();
    $con="SELECT id,titulo,autor,fecha,breve  ".
         " FROM articulos WHERE tema = $id ORDER BY id DESC limit $art_pri,$art_ant";
    $tmp=mysql_query($con);
    while ($art = mysql_fetch_array($tmp)){
      $con="SELECT nombre,email  ".
           " FROM autores WHERE id =\"".$art["autor"]."\" ";
      $tmpb=mysql_query($con);
      $aut = mysql_fetch_array($tmpb);
      $urlaut = "email:".$aut["email"];
      verartpeque($art["id"],$art["titulo"],$aut["nombre"],$urlaut,$art["fecha"]);
    }
  }
  finalizar();
  
  
?>